## org.mortbay.io.bio
Class StringEndPoint

    java.lang.Object
      org.mortbay.io.bio.StreamEndPoint
          org.mortbay.io.bio.StringEndPoint

All Implemented Interfaces:
  EndPoint

    public class StringEndPoint

extends StreamEndPoint

Author:
  gregw To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`StringEndPoint()`
`StringEndPoint(String encoding)`

Method Summary
`String` `getOutput()`
`boolean` `hasMore()`
`void` `setInput(String s)`

Methods inherited from class org.mortbay.io.bio.StreamEndPoint
`blockReadable, blockWritable, close, fill, flush, flush, flush, getInputStream, getLocalAddr, getLocalHost, getLocalPort, getOutputStream, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, isOpen, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringEndPoint

    public StringEndPoint()

### StringEndPoint

    public StringEndPoint(String encoding)
                   throws IOException

Throws:
  `IOException`

Method Detail

### setInput

    public void setInput(String s)

### getOutput

    public String getOutput()

### hasMore

    public boolean hasMore()

  Returns:
    `true` if there are bytes remaining to be read from the encoded input

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.